summarylogtreecommitdiffstats
path: root/wire-desktop.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-12 10:09:44 +0800
committerzxp198210052024-03-12 10:09:44 +0800
commitc18143a2483d5a793e62ccf5bce9c269c275401d (patch)
tree28556d4d596b938ba67a97f8bf923c52b3fc140c /wire-desktop.sh
parent3c9f81d0cdef3cc4eb6e85c7fba3625a6e83b342 (diff)
downloadaur-c18143a2483d5a793e62ccf5bce9c269c275401d.tar.gz
fix errors
Diffstat (limited to 'wire-desktop.sh')
-rw-r--r--wire-desktop.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/wire-desktop.sh b/wire-desktop.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/wire-desktop.sh
+++ b/wire-desktop.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file